summaryrefslogtreecommitdiffstats
path: root/bootstrap-stage1-build.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-05-31 18:55:22 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-05-31 19:02:13 (EDT)
commit1685dbfead4dbb853f28ae18526044a71e5671fa (patch)
tree3738fa3b82cdad850a6a8ed2e8818a04dc1d9a95 /bootstrap-stage1-build.sh
parent2dcc387183d786267b1e89ca6bacfaffb08bedd3 (diff)
Move package building into a new script.
Diffstat (limited to 'bootstrap-stage1-build.sh')
-rwxr-xr-xbootstrap-stage1-build.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/bootstrap-stage1-build.sh b/bootstrap-stage1-build.sh
new file mode 100755
index 0000000..ccee2e8
--- /dev/null
+++ b/bootstrap-stage1-build.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+main()
+{
+ cat <<-EOF
+ Building packages in stage 1...
+ ===============================
+ EOF
+
+ build_packages
+}
+
+build_packages()
+{
+ local dir
+
+ cd pkg
+
+ for dir in */; do
+ cd "${dir}"
+ opkbuild -bC
+ cd ..
+ done
+
+ cd ..
+}
+
+main "${@}"